package com.huatek.busi.service;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.ServerFilePathDto;
import com.huatek.busi.entity.ServerFilePath;
import com.huatek.busi.vo.ServerFilePathVo;
import com.huatek.busi.where.ServerFilePathSelectVo;

import java.util.List;
import java.util.Map;

public interface IServerFilePathService {

    PageInfo<ServerFilePathDto> list(ServerFilePathSelectVo serverFilePathSelectVo);

    Map<String, Object> saveOrUpdate(ServerFilePathVo serverFilePathVo, String token);

    Map<String, Object> findOne(String id);

    Map<String, Object> delete(List<String> ids);

    ServerFilePath findBySiteIdAndSystemCode(String siteId, String systemCode);
}
